
// use <MCAD/fonts.scad>

thisFont=8bit_polyfont();
x_shift=thisFont[0][0];
y_shift=thisFont[0][1];
word_height = 5.0;
word_offset = 16;

module buildWord(word) {
	assign(theseIndices = search(word, thisFont[2], 1, 1))
		for (j = [0:(len(theseIndices) - 1)] )
			translate([j * x_shift, -y_shift/2])
				linear_extrude(height = word_height)
					polygon(points = thisFont[2][theseIndices[j]][6][0],
							paths = thisFont[2][theseIndices[j]][6][1]);
}


module calibrator() {

	// Radius of whole surface
	radius = 116;
	// Thickness of surface
	thickness = 0.5;
	// Size of each square hole
	hole = 20;
	// Space between holes
	space = 5;
	// Half number of holes across
	holeCount = floor(radius / (hole + space)) + 1;

	difference() {
		intersection() {
			sphere(r = radius);
			cube([radius * 2, radius * 2, thickness], center = true);
		}
		for (i = [-holeCount:holeCount]) {
			for (j = [-holeCount:holeCount]) {
				translate([i * (hole + space) - hole/2, 
						   j * (hole + space) - hole/2,
						  -thickness / 2])
				cube([hole, hole, thickness * 2]);
			}
		}
		translate([ (hole + thickness),  (hole + thickness), -radius/2])
			cube([radius, radius, radius]);
		translate([-(radius + hole + thickness),  (hole + thickness), -radius/2])
			cube([radius, radius, radius]);
		translate([ (hole + thickness), -(radius + hole + thickness), -radius/2])
			cube([radius, radius, radius]);
		translate([-(radius + hole + thickness), -(radius + hole + thickness), -radius/2])
			cube([radius, radius, radius]);
	}
//	union() {
//		buildWord("+X");
//	}
}

calibrator();
